import { __decorate, __param } from 'tslib';
import { Inject } from '@angular/core';
import * as Sentry from '@sentry/angular-ivy';

// import { PvCustomErrorHandlingService } from "./pv-custom-error-handling.service";
let GlobalErrorHandler = class GlobalErrorHandler {
    constructor(environment) {
        this.environment = environment;
        Sentry.init({
            dsn: this.environment.sentryDNS,
            integrations: [
                new Sentry.BrowserTracing({
                    routingInstrumentation: Sentry.routingInstrumentation,
                }),
                new Sentry.Replay(),
            ],
            replaysOnErrorSampleRate: 1.0,
            replaysSessionSampleRate: 0.1,
            tracesSampleRate: 1.0,
        });
    }
    handleError(error) {
        if (error.error instanceof ErrorEvent) {
            this.captureMessage(`Error: ${error.error.message}`);
        }
        else {
            this.captureException(error);
        }
    }
    captureException(error) {
        Sentry.captureException(error);
    }
    captureMessage(message) {
        Sentry.captureMessage(message);
    }
};
GlobalErrorHandler = __decorate([
    __param(0, Inject('env'))
], GlobalErrorHandler);

/*
 * Public API Surface of pv-custom-error-handling
 */

/**
 * Generated bundle index. Do not edit.
 */

export { GlobalErrorHandler };
//# sourceMappingURL=pv-frontend-pv-custom-error-handling.js.map
